Loading...
Searching...
No Matches
RDKit::StereoGroup Class Reference

`#include <StereoGroup.h>`

## Public Member Functions

| StereoGroup ()
| StereoGroup (StereoGroupType grouptype, std::vector< Atom * > &&atoms, unsigned readId=0)
| StereoGroup (StereoGroupType grouptype, const std::vector< Atom * > &atoms, unsigned readId=0)
| StereoGroup (const StereoGroup &other)=default
StereoGroup & | operator= (const StereoGroup &other)=default
| StereoGroup (StereoGroup &&other)=default
StereoGroup & | operator= (StereoGroup &&other)=default
StereoGroupType | getGroupType () const
const std::vector< Atom * > & | getAtoms () const
unsigned | getReadId () const
unsigned | getWriteId () const
void | setWriteId (unsigned id)
bool | operator== (const StereoGroup &other) const
bool | operator!= (const StereoGroup &other) const

## Detailed Description

StereoGroup is a collection of atoms with a known stereochemical relationship

Used to help represent a sample with unknown stereochemistry, or that is a mix of diastereomers.

Definition at line 43 of file StereoGroup.h.

## Constructor & Destructor Documentation

## StereoGroup() [1/5]

RDKit::StereoGroup::StereoGroup | ( |  | ) |

inline

Definition at line 54 of file StereoGroup.h.

## StereoGroup() [2/5]

RDKit::StereoGroup::StereoGroup | ( | StereoGroupType | grouptype,
|  | std::vector< Atom * > && | atoms,
|  | unsigned | readId = `0`
| ) |  |

## StereoGroup() [3/5]

RDKit::StereoGroup::StereoGroup | ( | StereoGroupType | grouptype,
|  | const std::vector< Atom * > & | atoms,
|  | unsigned | readId = `0`
| ) |  |

## StereoGroup() [4/5]

RDKit::StereoGroup::StereoGroup | ( | const StereoGroup & | other | ) |

default

## StereoGroup() [5/5]

RDKit::StereoGroup::StereoGroup | ( | StereoGroup && | other | ) |

default

## Member Function Documentation

## getAtoms()

const std::vector< Atom * > & RDKit::StereoGroup::getAtoms | ( |  | ) | const

## getGroupType()

StereoGroupType RDKit::StereoGroup::getGroupType | ( |  | ) | const

## getReadId()

unsigned RDKit::StereoGroup::getReadId | ( |  | ) | const

inline

Definition at line 68 of file StereoGroup.h.

## getWriteId()

unsigned RDKit::StereoGroup::getWriteId | ( |  | ) | const

inline

Definition at line 69 of file StereoGroup.h.

## operator!=()

bool RDKit::StereoGroup::operator!= | ( | const StereoGroup & | other | ) | const

inline

Definition at line 77 of file StereoGroup.h.

## operator=() [1/2]

StereoGroup & RDKit::StereoGroup::operator= | ( | const StereoGroup & | other | ) |

default

## operator=() [2/2]

StereoGroup & RDKit::StereoGroup::operator= | ( | StereoGroup && | other | ) |

default

## operator==()

bool RDKit::StereoGroup::operator== | ( | const StereoGroup & | other | ) | const

inline

Definition at line 74 of file StereoGroup.h.

## setWriteId()

void RDKit::StereoGroup::setWriteId | ( | unsigned | id | ) |

inline

Definition at line 70 of file StereoGroup.h.

The documentation for this class was generated from the following file:

- StereoGroup.h